*** a/doc/src/sgml/ref/alter_table.sgml
--- b/doc/src/sgml/ref/alter_table.sgml
***************
*** 157,163 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        table to change.
       </para>
       <para>
!       This form requires only an <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 157,163 ----
        table to change.
       </para>
       <para>
!       This form requires only a <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 188,194 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        <xref linkend="planner-stats">.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 188,194 ----
        <xref linkend="planner-stats">.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 223,229 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        planner, refer to <xref linkend="planner-stats">.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 223,229 ----
        planner, refer to <xref linkend="planner-stats">.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 344,350 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        created. Currently only foreign key constraints may be altered.
       </para>
       <para>
!       This form requires only an <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 344,350 ----
        created. Currently only foreign key constraints may be altered.
       </para>
       <para>
!       This form requires only a <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 366,372 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        does not prevent normal write commands against the table while it runs.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock
        on the table being altered. If the constraint is a foreign key then
        a <literal>ROW SHARE</literal> lock is also required on
        the table referenced by the constraint.
--- 366,372 ----
        does not prevent normal write commands against the table while it runs.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock
        on the table being altered. If the constraint is a foreign key then
        a <literal>ROW SHARE</literal> lock is also required on
        the table referenced by the constraint.
***************
*** 411,417 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        fire regardless of the current replication mode.
       </para>
       <para>
!       This form requires only an <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 411,417 ----
        fire regardless of the current replication mode.
       </para>
       <para>
!       This form requires only a <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 439,445 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        operations.  It does not actually re-cluster the table.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 439,445 ----
        operations.  It does not actually re-cluster the table.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 454,460 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        future cluster operations that don't specify an index.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 454,460 ----
        future cluster operations that don't specify an index.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 504,510 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        of <command>ALTER TABLE</> that forces a table rewrite.
       </para>
       <para>
!       This form requires only an <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
  
       <note>
--- 504,510 ----
        of <command>ALTER TABLE</> that forces a table rewrite.
       </para>
       <para>
!       This form requires only a <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
  
       <note>
***************
*** 529,535 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        needed to update the table entirely.
       </para>
       <para>
!       This form requires only an <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 529,535 ----
        needed to update the table entirely.
       </para>
       <para>
!       This form requires only a <literal>SHARE ROW EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 560,566 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        this might change in the future.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 560,566 ----
        this might change in the future.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 575,581 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        from the target table.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 575,581 ----
        from the target table.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 593,599 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        definition.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 593,599 ----
        definition.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
***************
*** 605,611 **** ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
        This form dissociates a typed table from its type.
       </para>
       <para>
!       This form requires only an <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
--- 605,611 ----
        This form dissociates a typed table from its type.
       </para>
       <para>
!       This form requires only a <literal>SHARE UPDATE EXCLUSIVE</literal> lock.
       </para>
      </listitem>
     </varlistentry>
